GFTOPK(1)

NAME
gftopk - convert generic font (gf) bitmap files to packed font (pk) files

SYNOPSIS
gftopk [-v] gf_file[gf] [pk_file]

DESCRIPTION
The gftopk program converts a generic font (gf) bitmap file output by, typically, mf(1), to a packed font bitmap file for use by DVI-reading programs; notably, dvips(1) only supports pk files. Packed font files (pk files) are much smaller than the corresponding gf files.

The gf_file on the command line must include the resolution, but can omit the suffix "gf". The pk_file defaults to the same (stripped) name as gf_file, and it is placed in the current working directory with the pk suffix replacing gf. For example, the input file /some/directory/cmr10.300gf would become cmr10.300pk.

OPTIONS
See tex(1) for details of command-line parsing.

By default, gftodvi operates silently. With the -v (a.k.a. -verbose) option, some reports are printed on stdout.

The standard -help and -version options are also supported.

ENVIRONMENT
The program looks for gf_file using the environment variables GFFONTS, GLYPHFONTS, and TEXFONTS, in that order. If none are set, it uses the system default. See the Kpathsea manual at https://tug.org/kpathsea for the details of the searching.

SEE ALSO
dvips(1), gftype(1), pktogf(1), pktype(1).
Donald E. Knuth et al., Metafontware.

Package page on CTAN: https://ctan.org/pkg/gftopk
Section in the Web2c manual: https://tug.org/texinfohtml/web2c.html#gftopk-invocation
Typeset source code, including file format descriptions: https://ctan.org/pkg/knuth-pdf

AUTHORS
Tomas Rokicki wrote the program. It was published as part of the Metafontware technical report. Paul Richards originally ported it to Unix.

Public discussion list and bug reports: https://lists.tug.org/tex-k